GasTankerDocs
Policies

Get a gas policy

GET
/v1/policies/{id}

Authorization

apiKeyAuth
headerX-API-Key<token>

Organization-owned GasTanker API key.

Path Parameters

id*string

Response Body

Response for status 200

application/json
  1. response
id*string
organizationId*string
walletId*string
thresholdBaseUnits*string

Decimal string in the wallet network's native-asset base units (wei, lamports, stroops or MIST).

Match^(0|[1-9][0-9]*)$
targetBaseUnits*string

Decimal string in the wallet network's native-asset base units (wei, lamports, stroops or MIST).

Match^(0|[1-9][0-9]*)$
status*string
Value in"active""paused""superseded"
revision*number
createdAt*string
updatedAt*string
curl -X GET 'https://api.gastanker.xyz/v1/policies/string'
{  "id": "string",  "organizationId": "string",  "walletId": "string",  "thresholdBaseUnits": "string",  "targetBaseUnits": "string",  "status": "active",  "revision": 0,  "createdAt": "string",  "updatedAt": "string"}